
/*----------------------------- INCLUDES ----------------------------------*/

#include "TexPrt_protos.h"

/***************************************************************************
 *                                                                         *
 *  Function name : repchrstr                                              *
 *                                                                         *
 *  Description : Replaces in a string a given character with another      *
 *                given character.                                         *
 *                                                                         *
 ***************************************************************************
 *                                                                         *
 *  Synopsis : repchrstr ()                                                *
 *                                                                         *
 *  Parameters :                                                           *
 *       (char *) string : The string pointer to string which has to be    *
 *                         transformed.                                    *
 *       (char) srchchar : The character which has to be replaced.         *
 *       (char) repchar  ; The character which replaces the srchchar.      *
 *                                                                         *
 *  Return value : (char *)                                                *
 *       Same pointer as string.                                           *
 *                                                                         *
 ***************************************************************************/

char *repchrstr (char *string, char srchchar, char repchar)

{
char  *strp;


strp = string;
while (strp = strchr (strp, srchchar))
   *strp = repchar;

return (string);
}

